package com.qmth.teachcloud.report.business.bean.result.inspectCourseExamTotal;

import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description: 考查学院-课程数据
 * @Author: CaoZixuan
 * @Date: 2021-06-10
 */
public class CollegeCourseInfo implements Serializable {

    @ApiModelProperty(value = "学校众数")
    private String schMode;

    private BigDecimal colLowerQuartile;

    @ApiModelProperty(value = "学院标准差")
    private BigDecimal colStandardDeviation;

    private String courseCode;

    private BigDecimal colMinScore;

    private BigDecimal schAvgScore;

    private BigDecimal schLowerQuartile;

    private BigDecimal colMaxScore;

    @ApiModelProperty(value = "学院众数")
    private String colMode;

    private BigDecimal schMaxScore;

    private BigDecimal colRealityCount;

    @ApiModelProperty(value = "学校标准差")
    private BigDecimal schStandardDeviation;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    private BigDecimal schMinScore;

    private BigDecimal colAvgScore;

    @ApiModelProperty(value = "学院上四分位数")
    private BigDecimal colUpperQuartile;

    private BigDecimal colMedian;

    @ApiModelProperty(value = "学院相对位置")
    private BigDecimal colRelativePosition;

    @ApiModelProperty(value = "学校上四分位数")
    private BigDecimal schUpperQuartile;

    private String schMedian;

    public String getSchMode() {
        return schMode;
    }

    public void setSchMode(String schMode) {
        this.schMode = schMode;
    }

    public BigDecimal getColLowerQuartile() {
        if (Objects.nonNull(colLowerQuartile)) {
            return colLowerQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colLowerQuartile;
        }
    }

    public void setColLowerQuartile(BigDecimal colLowerQuartile) {
        this.colLowerQuartile = colLowerQuartile;
    }

    public BigDecimal getColStandardDeviation() {
        if (Objects.nonNull(colStandardDeviation)) {
            return colStandardDeviation.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colStandardDeviation;
        }
    }

    public void setColStandardDeviation(BigDecimal colStandardDeviation) {
        this.colStandardDeviation = colStandardDeviation;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public BigDecimal getColMinScore() {
        if (Objects.nonNull(colMinScore)) {
            return colMinScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMinScore;
        }
    }

    public void setColMinScore(BigDecimal colMinScore) {
        this.colMinScore = colMinScore;
    }

    public BigDecimal getSchAvgScore() {
        if (Objects.nonNull(schAvgScore)) {
            return schAvgScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schAvgScore;
        }
    }

    public void setSchAvgScore(BigDecimal schAvgScore) {
        this.schAvgScore = schAvgScore;
    }

    public BigDecimal getSchLowerQuartile() {
        if (Objects.nonNull(schLowerQuartile)) {
            return schLowerQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schLowerQuartile;
        }
    }

    public void setSchLowerQuartile(BigDecimal schLowerQuartile) {
        this.schLowerQuartile = schLowerQuartile;
    }

    public BigDecimal getColMaxScore() {
        if (Objects.nonNull(colMaxScore)) {
            return colMaxScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMaxScore;
        }
    }

    public void setColMaxScore(BigDecimal colMaxScore) {
        this.colMaxScore = colMaxScore;
    }

    public String getColMode() {
        return colMode;
    }

    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    public BigDecimal getSchMaxScore() {
        if (Objects.nonNull(schMaxScore)) {
            return schMaxScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schMaxScore;
        }
    }

    public void setSchMaxScore(BigDecimal schMaxScore) {
        this.schMaxScore = schMaxScore;
    }

    public BigDecimal getColRealityCount() {
        if (Objects.nonNull(colRealityCount)) {
            return colRealityCount.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colRealityCount;
        }
    }

    public void setColRealityCount(BigDecimal colRealityCount) {
        this.colRealityCount = colRealityCount;
    }

    public BigDecimal getSchStandardDeviation() {
        if (Objects.nonNull(schStandardDeviation)) {
            return schStandardDeviation.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schStandardDeviation;
        }
    }

    public void setSchStandardDeviation(BigDecimal schStandardDeviation) {
        this.schStandardDeviation = schStandardDeviation;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public BigDecimal getSchMinScore() {
        if (Objects.nonNull(schMinScore)) {
            return schMinScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schMinScore;
        }
    }

    public void setSchMinScore(BigDecimal schMinScore) {
        this.schMinScore = schMinScore;
    }

    public BigDecimal getColAvgScore() {
        if (Objects.nonNull(colAvgScore)) {
            return colAvgScore.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colAvgScore;
        }
    }

    public void setColAvgScore(BigDecimal colAvgScore) {
        this.colAvgScore = colAvgScore;
    }

    public BigDecimal getColUpperQuartile() {
        if (Objects.nonNull(colUpperQuartile)) {
            return colUpperQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colUpperQuartile;
        }
    }

    public void setColUpperQuartile(BigDecimal colUpperQuartile) {
        this.colUpperQuartile = colUpperQuartile;
    }

    public BigDecimal getColMedian() {
        if (Objects.nonNull(colMedian)) {
            return colMedian.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colMedian;
        }
    }

    public void setColMedian(BigDecimal colMedian) {
        this.colMedian = colMedian;
    }

    public BigDecimal getColRelativePosition() {
        if (Objects.nonNull(colRelativePosition)) {
            return colRelativePosition.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return colRelativePosition;
        }
    }

    public void setColRelativePosition(BigDecimal colRelativePosition) {
        this.colRelativePosition = colRelativePosition;
    }

    public BigDecimal getSchUpperQuartile() {
        if (Objects.nonNull(schUpperQuartile)) {
            return schUpperQuartile.setScale(SystemConstant.FINAL_SCALE, BigDecimal.ROUND_HALF_UP);
        } else {
            return schUpperQuartile;
        }
    }

    public void setSchUpperQuartile(BigDecimal schUpperQuartile) {
        this.schUpperQuartile = schUpperQuartile;
    }

    public String getSchMedian() {
        return schMedian;
    }

    public void setSchMedian(String schMedian) {
        this.schMedian = schMedian;
    }
}
